/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomStorageEvent_H___INT_
#define __GdomStorageEvent_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomEvent.h"
#include "GDOMObject.h"
#include "StorageEvent.h"
G_BEGIN_DECLS
class GDOMStorageEvent : public GDOMEvent {
    typedef GDOMEvent Base;
public:
    int get_gobj_type() { return GDOM_TYPE_STORAGE_EVENT; }
    GDOMStorageEvent(PassRefPtr<WebCore::StorageEvent> impl);
};
G_END_DECLS

#endif /* __GdomStorageEvent_H___INT_*/
